Package com.mapd.thrift.server

## Class TSerializedRows

- java.lang.Object
- - com.mapd.thrift.server.TSerializedRows

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TSerializedRows>`, `org.apache.thrift.TBase<TSerializedRows,​TSerializedRows._Fields>`, `org.apache.thrift.TSerializable`

    public class TSerializedRows
    extends Object
    implements org.apache.thrift.TBase<TSerializedRows,​TSerializedRows._Fields>, Serializable, Cloneable, Comparable<TSerializedRows>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TSerializedRows._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`List<Long>` `buffer_lengths`
`List<ByteBuffer>` `buffers`
`long` `buffers_total_size`
`List<TCountDistinctSet>` `count_distinct_sets`
`TResultSetBufferDescriptor` `descriptor`
`String` `explanation`
`static Map<TSerializedRows._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`List<Long>` `target_init_vals`
`List<TTargetInfo>` `targets`
`int` `total_compression_time_ms`
`List<ByteBuffer>` `varlen_buffer`

### Constructor Summary

Constructors
`TSerializedRows()`
`TSerializedRows​(TSerializedRows other)` Performs a deep copy on other.
`TSerializedRows​(List<ByteBuffer> buffers, List<Long> buffer_lengths, long buffers_total_size, int total_compression_time_ms, TResultSetBufferDescriptor descriptor, List<TTargetInfo> targets, List<Long> target_init_vals, List<ByteBuffer> varlen_buffer, List<TCountDistinctSet> count_distinct_sets, String explanation)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToBuffer_lengths​(long elem)`
`void` `addToBuffers​(ByteBuffer elem)`
`void` `addToCount_distinct_sets​(TCountDistinctSet elem)`
`void` `addToTarget_init_vals​(long elem)`
`void` `addToTargets​(TTargetInfo elem)`
`void` `addToVarlen_buffer​(ByteBuffer elem)`
`void` `clear()`
`int` `compareTo​(TSerializedRows other)`
`TSerializedRows` `deepCopy()`
`boolean` `equals​(TSerializedRows that)`
`boolean` `equals​(Object that)`
`TSerializedRows._Fields` `fieldForId​(int fieldId)`
`List<Long>` `getBuffer_lengths()`
`Iterator<Long>` `getBuffer_lengthsIterator()`
`int` `getBuffer_lengthsSize()`
`List<ByteBuffer>` `getBuffers()`
`long` `getBuffers_total_size()`
`Iterator<ByteBuffer>` `getBuffersIterator()`
`int` `getBuffersSize()`
`List<TCountDistinctSet>` `getCount_distinct_sets()`
`Iterator<TCountDistinctSet>` `getCount_distinct_setsIterator()`
`int` `getCount_distinct_setsSize()`
`TResultSetBufferDescriptor` `getDescriptor()`
`String` `getExplanation()`
`Object` `getFieldValue​(TSerializedRows._Fields field)`
`List<Long>` `getTarget_init_vals()`
`Iterator<Long>` `getTarget_init_valsIterator()`
`int` `getTarget_init_valsSize()`
`List<TTargetInfo>` `getTargets()`
`Iterator<TTargetInfo>` `getTargetsIterator()`
`int` `getTargetsSize()`
`int` `getTotal_compression_time_ms()`
`List<ByteBuffer>` `getVarlen_buffer()`
`Iterator<ByteBuffer>` `getVarlen_bufferIterator()`
`int` `getVarlen_bufferSize()`
`int` `hashCode()`
`boolean` `isSet​(TSerializedRows._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetBuffer_lengths()` Returns true if field buffer_lengths is set (has been assigned a value) and false otherwise
`boolean` `isSetBuffers()` Returns true if field buffers is set (has been assigned a value) and false otherwise
`boolean` `isSetBuffers_total_size()` Returns true if field buffers_total_size is set (has been assigned a value) and false otherwise
`boolean` `isSetCount_distinct_sets()` Returns true if field count_distinct_sets is set (has been assigned a value) and false otherwise
`boolean` `isSetDescriptor()` Returns true if field descriptor is set (has been assigned a value) and false otherwise
`boolean` `isSetExplanation()` Returns true if field explanation is set (has been assigned a value) and false otherwise
`boolean` `isSetTarget_init_vals()` Returns true if field target_init_vals is set (has been assigned a value) and false otherwise
`boolean` `isSetTargets()` Returns true if field targets is set (has been assigned a value) and false otherwise
`boolean` `isSetTotal_compression_time_ms()` Returns true if field total_compression_time_ms is set (has been assigned a value) and false otherwise
`boolean` `isSetVarlen_buffer()` Returns true if field varlen_buffer is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TSerializedRows` `setBuffer_lengths​(List<Long> buffer_lengths)`
`void` `setBuffer_lengthsIsSet​(boolean value)`
`TSerializedRows` `setBuffers​(List<ByteBuffer> buffers)`
`TSerializedRows` `setBuffers_total_size​(long buffers_total_size)`
`void` `setBuffers_total_sizeIsSet​(boolean value)`
`void` `setBuffersIsSet​(boolean value)`
`TSerializedRows` `setCount_distinct_sets​(List<TCountDistinctSet> count_distinct_sets)`
`void` `setCount_distinct_setsIsSet​(boolean value)`
`TSerializedRows` `setDescriptor​(TResultSetBufferDescriptor descriptor)`
`void` `setDescriptorIsSet​(boolean value)`
`TSerializedRows` `setExplanation​(String explanation)`
`void` `setExplanationIsSet​(boolean value)`
`void` `setFieldValue​(TSerializedRows._Fields field, Object value)`
`TSerializedRows` `setTarget_init_vals​(List<Long> target_init_vals)`
`void` `setTarget_init_valsIsSet​(boolean value)`
`TSerializedRows` `setTargets​(List<TTargetInfo> targets)`
`void` `setTargetsIsSet​(boolean value)`
`TSerializedRows` `setTotal_compression_time_ms​(int total_compression_time_ms)`
`void` `setTotal_compression_time_msIsSet​(boolean value)`
`TSerializedRows` `setVarlen_buffer​(List<ByteBuffer> varlen_buffer)`
`void` `setVarlen_bufferIsSet​(boolean value)`
`String` `toString()`
`void` `unsetBuffer_lengths()`
`void` `unsetBuffers()`
`void` `unsetBuffers_total_size()`
`void` `unsetCount_distinct_sets()`
`void` `unsetDescriptor()`
`void` `unsetExplanation()`
`void` `unsetTarget_init_vals()`
`void` `unsetTargets()`
`void` `unsetTotal_compression_time_ms()`
`void` `unsetVarlen_buffer()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### buffers

    public List<ByteBuffer> buffers

#### buffer_lengths

    public List<Long> buffer_lengths

#### buffers_total_size

    public long buffers_total_size

#### total_compression_time_ms

    public int total_compression_time_ms

#### descriptor

    public TResultSetBufferDescriptor descriptor

#### targets

    public List<TTargetInfo> targets

#### target_init_vals

    public List<Long> target_init_vals

#### varlen_buffer

    public List<ByteBuffer> varlen_buffer

#### count_distinct_sets

    public List<TCountDistinctSet> count_distinct_sets

#### explanation

    public String explanation

#### metaDataMap

    public static final Map<TSerializedRows._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TSerializedRows

    public TSerializedRows()

#### TSerializedRows

    public TSerializedRows​(List<ByteBuffer> buffers,
                           List<Long> buffer_lengths,
                           long buffers_total_size,
                           int total_compression_time_ms,
                           TResultSetBufferDescriptor descriptor,
                           List<TTargetInfo> targets,
                           List<Long> target_init_vals,
                           List<ByteBuffer> varlen_buffer,
                           List<TCountDistinctSet> count_distinct_sets,
                           String explanation)

#### TSerializedRows

    public TSerializedRows​(TSerializedRows other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TSerializedRows deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TSerializedRows,​TSerializedRows._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TSerializedRows,​TSerializedRows._Fields>`

#### getBuffersSize

    public int getBuffersSize()

#### getBuffersIterator

    public Iterator<ByteBuffer> getBuffersIterator()

#### addToBuffers

    public void addToBuffers​(ByteBuffer elem)

#### getBuffers

    public List<ByteBuffer> getBuffers()

#### setBuffers

    public TSerializedRows setBuffers​(List<ByteBuffer> buffers)

#### unsetBuffers

    public void unsetBuffers()

#### isSetBuffers

    public boolean isSetBuffers()

Returns true if field buffers is set (has been assigned a value) and false otherwise

#### setBuffersIsSet

    public void setBuffersIsSet​(boolean value)

#### getBuffer_lengthsSize

    public int getBuffer_lengthsSize()

#### getBuffer_lengthsIterator

    public Iterator<Long> getBuffer_lengthsIterator()

#### addToBuffer_lengths

    public void addToBuffer_lengths​(long elem)

#### getBuffer_lengths

    public List<Long> getBuffer_lengths()

#### setBuffer_lengths

    public TSerializedRows setBuffer_lengths​(List<Long> buffer_lengths)

#### unsetBuffer_lengths

    public void unsetBuffer_lengths()

#### isSetBuffer_lengths

    public boolean isSetBuffer_lengths()

Returns true if field buffer_lengths is set (has been assigned a value) and false otherwise

#### setBuffer_lengthsIsSet

    public void setBuffer_lengthsIsSet​(boolean value)

#### getBuffers_total_size

    public long getBuffers_total_size()

#### setBuffers_total_size

    public TSerializedRows setBuffers_total_size​(long buffers_total_size)

#### unsetBuffers_total_size

    public void unsetBuffers_total_size()

#### isSetBuffers_total_size

    public boolean isSetBuffers_total_size()

Returns true if field buffers_total_size is set (has been assigned a value) and false otherwise

#### setBuffers_total_sizeIsSet

    public void setBuffers_total_sizeIsSet​(boolean value)

#### getTotal_compression_time_ms

    public int getTotal_compression_time_ms()

#### setTotal_compression_time_ms

    public TSerializedRows setTotal_compression_time_ms​(int total_compression_time_ms)

#### unsetTotal_compression_time_ms

    public void unsetTotal_compression_time_ms()

#### isSetTotal_compression_time_ms

    public boolean isSetTotal_compression_time_ms()

Returns true if field total_compression_time_ms is set (has been assigned a value) and false otherwise

#### setTotal_compression_time_msIsSet

    public void setTotal_compression_time_msIsSet​(boolean value)

#### getDescriptor

    public TResultSetBufferDescriptor getDescriptor()

#### setDescriptor

    public TSerializedRows setDescriptor​(TResultSetBufferDescriptor descriptor)

#### unsetDescriptor

    public void unsetDescriptor()

#### isSetDescriptor

    public boolean isSetDescriptor()

Returns true if field descriptor is set (has been assigned a value) and false otherwise

#### setDescriptorIsSet

    public void setDescriptorIsSet​(boolean value)

#### getTargetsSize

    public int getTargetsSize()

#### getTargetsIterator

    public Iterator<TTargetInfo> getTargetsIterator()

#### addToTargets

    public void addToTargets​(TTargetInfo elem)

#### getTargets

    public List<TTargetInfo> getTargets()

#### setTargets

    public TSerializedRows setTargets​(List<TTargetInfo> targets)

#### unsetTargets

    public void unsetTargets()

#### isSetTargets

    public boolean isSetTargets()

Returns true if field targets is set (has been assigned a value) and false otherwise

#### setTargetsIsSet

    public void setTargetsIsSet​(boolean value)

#### getTarget_init_valsSize

    public int getTarget_init_valsSize()

#### getTarget_init_valsIterator

    public Iterator<Long> getTarget_init_valsIterator()

#### addToTarget_init_vals

    public void addToTarget_init_vals​(long elem)

#### getTarget_init_vals

    public List<Long> getTarget_init_vals()

#### setTarget_init_vals

    public TSerializedRows setTarget_init_vals​(List<Long> target_init_vals)

#### unsetTarget_init_vals

    public void unsetTarget_init_vals()

#### isSetTarget_init_vals

    public boolean isSetTarget_init_vals()

Returns true if field target_init_vals is set (has been assigned a value) and false otherwise

#### setTarget_init_valsIsSet

    public void setTarget_init_valsIsSet​(boolean value)

#### getVarlen_bufferSize

    public int getVarlen_bufferSize()

#### getVarlen_bufferIterator

    public Iterator<ByteBuffer> getVarlen_bufferIterator()

#### addToVarlen_buffer

    public void addToVarlen_buffer​(ByteBuffer elem)

#### getVarlen_buffer

    public List<ByteBuffer> getVarlen_buffer()

#### setVarlen_buffer

    public TSerializedRows setVarlen_buffer​(List<ByteBuffer> varlen_buffer)

#### unsetVarlen_buffer

    public void unsetVarlen_buffer()

#### isSetVarlen_buffer

    public boolean isSetVarlen_buffer()

Returns true if field varlen_buffer is set (has been assigned a value) and false otherwise

#### setVarlen_bufferIsSet

    public void setVarlen_bufferIsSet​(boolean value)

#### getCount_distinct_setsSize

    public int getCount_distinct_setsSize()

#### getCount_distinct_setsIterator

    public Iterator<TCountDistinctSet> getCount_distinct_setsIterator()

#### addToCount_distinct_sets

    public void addToCount_distinct_sets​(TCountDistinctSet elem)

#### getCount_distinct_sets

    public List<TCountDistinctSet> getCount_distinct_sets()

#### setCount_distinct_sets

    public TSerializedRows setCount_distinct_sets​(List<TCountDistinctSet> count_distinct_sets)

#### unsetCount_distinct_sets

    public void unsetCount_distinct_sets()

#### isSetCount_distinct_sets

    public boolean isSetCount_distinct_sets()

Returns true if field count_distinct_sets is set (has been assigned a value) and false otherwise

#### setCount_distinct_setsIsSet

    public void setCount_distinct_setsIsSet​(boolean value)

#### getExplanation

    public String getExplanation()

#### setExplanation

    public TSerializedRows setExplanation​(String explanation)

#### unsetExplanation

    public void unsetExplanation()

#### isSetExplanation

    public boolean isSetExplanation()

Returns true if field explanation is set (has been assigned a value) and false otherwise

#### setExplanationIsSet

    public void setExplanationIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TSerializedRows._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TSerializedRows,​TSerializedRows._Fields>`

#### getFieldValue

    public Object getFieldValue​(TSerializedRows._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TSerializedRows,​TSerializedRows._Fields>`

#### isSet

    public boolean isSet​(TSerializedRows._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TSerializedRows,​TSerializedRows._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TSerializedRows that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TSerializedRows other)

Specified by:
  `compareTo` in interface `Comparable<TSerializedRows>`

#### fieldForId

    public TSerializedRows._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TSerializedRows,​TSerializedRows._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`